Cannoli_2.12: Core 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  object Cannoli

  Implicits on Cannoli function source data sets.

  Implicits on Cannoli function source data sets.

  Definition Classes
    cannoli
- CannoliAlignmentDataset
- CannoliFeatureDataset
- CannoliFragmentDataset
- CannoliReadDataset
- CannoliSequenceDataset
- CannoliVariantContextDataset

c

org.bdgenomics.cannoli.Cannoli

# CannoliSequenceDataset 

###

#### implicit class CannoliSequenceDataset extends AnyRef

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliSequenceDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CannoliSequenceDataset(sequences: SequenceDataset)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def alignWithBlastn(args: BlastnArgs): AlignmentDataset

   Align the DNA sequences in this SequenceDataset with blastn via Cannoli.

   Align the DNA sequences in this SequenceDataset with blastn via Cannoli.

   args

     Blastn function arguments.

   returns

     AlignmentDataset.

5.  def alignWithMinimap2(args: Minimap2Args): AlignmentDataset

   Align the long reads in this SequenceDataset with Minimap2 via Cannoli.

   Align the long reads in this SequenceDataset with Minimap2 via Cannoli.

   args

     Minimap2 function arguments.

   returns

     AlignmentDataset.

6.  def alignWithUnimap(args: UnimapArgs): AlignmentDataset

   Align the long reads in this SequenceDataset with Unimap via Cannoli.

   Align the long reads in this SequenceDataset with Unimap via Cannoli.

   args

     Unimap function arguments.

   returns

     AlignmentDataset.

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped